<?php

require 'db.php';

$postdata = file_get_contents("php://input");
$request = json_decode($postdata);
if(isset($postdata) && !empty($postdata))
{
    if(isset($_GET['sid']) && isset($_GET['token']))
    {
        $shop_id = $_GET['sid'];
        $shop_code = $_GET['token'];
    
        include 'token_check.php';
        
        if($token_check)
        {
            $val = mysqli_real_escape_string($con, trim($request->value));
            
            if($val == 0)
            {
                $sql = "UPDATE shop_settings set shop_status = '0' where shop_id='$shop_id' and shop_code='$shop_code'";
                $result = mysqli_query($con,$sql);
                if($result)
                {
                    $rows = array('shopstatus'=>"Closed",'status' => '0');
                    echo json_encode($rows);
                }
            }
            else if ($val == 1)
            {
                $sql = "UPDATE shop_settings set shop_status = '1' where shop_id='$shop_id' and shop_code='$shop_code'";
                $result = mysqli_query($con,$sql);
                if($result)
                {
                    $rows = array('shopstatus'=>"Opened",'status' => '1');
                    echo json_encode($rows);  
                }
            }
        }
        else
        {
            $rows = array('status'=>"",'message' => 'Data Error');
            echo json_encode($rows);
        }
    }

}

?>